claw::clone< T > Class Template Reference

Function object that clones a pointer. More...

`#include <functional.hpp>`

## Public Types

using | argument_type = const T*
using | result_type = T*

## Public Member Functions

T * | operator() (const T *a) const

## Detailed Description

template<typename T>
class claw::clone< T >

Function object that clones a pointer.

Template arguments:

- T The pointed type (ie. int, not int*.

Remarks
  Use this function object to copy your container of pointers.

Author
  Julien Jorge

Definition at line 303 of file functional.hpp.

## Member Typedef Documentation

## argument_type

template<typename T>

using claw::clone< T >::argument_type = const T*

Definition at line 306 of file functional.hpp.

## result_type

template<typename T>

using claw::clone< T >::result_type = T*

Definition at line 307 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T>

T * claw::clone< T >::operator() | ( | const T * | a | ) | const

inline

Definition at line 310 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp